Bug 1277398 - Unclear message if aaa-jdbc schema is not synced with package version
Unclear message if aaa-jdbc schema is not synced with package version
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine-extension-aaa-jdbc
Classification: oVirt
Component: Core (Show other bugs)
1.0.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-3.6.1
: 1.0.2
Assigned To: Martin Perina
Ondra Machacek
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 04:10 EST by Martin Perina
Modified: 2016-02-10 14:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 07:21:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
mgoldboi: planning_ack+
oourfali: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48000 master MERGED core: Check if db is up to date during extension INIT command Never
oVirt gerrit 48152 ovirt-engine-extension-aaa-jdbc-1.0 MERGED core: Check if db is up to date during extension INIT command Never

  None (edit)
Description Martin Perina 2015-11-03 04:10:56 EST
Description of problem:

Database schema of aaa-jdbc profile is not updated automatically, but it needs to be done manually. Correct way how to upgrade aaa-jdbc package is described in

https://gerrit.ovirt.org/gitweb?p=ovirt-engine-extension-aaa-jdbc.git;a=blob_plain;f=README.admin;hb=HEAD

If user upgraded aaa-jdbc package, but he didn't perform aaa-jdbc database schema upgrade, unclear exception is raised (the exact error message depends of type of database upgraded during versions).

Version-Release number of selected component (if applicable):

ovirt-engine-extension-aaa-jdbc 1.0.1-1

How reproducible:

100%

Steps to Reproduce:
1. Install oVirt engine 3.6 with ovirt-engine-extension-aaa-jdbc 1.0.0-2
2. Execute engine-setup
3. Update ovirt-engine-extension-aaa-jdbc to 1.0.1-1
4. Restart ovirt-engine service
5. Try to login to webadmin

Actual results:

Unclear exception is raised, so it's hard for user to find out what's wrong

Expected results:

Clear error message should be raised, that user need to perform aaa-jdbc schema upgrade

Additional info:
Comment 1 Martin Perina 2015-11-05 14:31:31 EST
Fix will be contained ovirt-engine-extension-aaa-jdbc-1.0.2
Comment 2 Ondra Machacek 2015-11-26 03:58:19 EST
2015-11-26 09:50:39,343 ERROR [org.ovirt.engine.extension.aaa.jdbc.binding.api.AuthzExtension] (ServerService Thread Pool -- 47) [] Unexpected Exception invoking: EXTENSION_INITIALIZE[e5ae1b7f-9104-4f23-a444-7b9175ff68d2]
2015-11-26 09:50:39,343 ERROR [org.ovirt.engine.core.extensions.mgr.ExtensionsManager] (ServerService Thread Pool -- 47) [] Error in activating extension 'internal-authz': Database schema is older than required by currently installed ovirt-engine-extension-aaa-jdbc package version. Please upgrade profile database schema before proceeding (for more info about upgrade please take a look at README.admin file contained in ovirt-engine-extension-aaa-jdbc package).

Tested with ovirt-engine-extension-aaa-jdbc-1.0.3-1.el6ev.noarch and rhevm-3.6.0.3-0.1.el6.noarch
Comment 3 Sandro Bonazzola 2015-12-16 07:21:56 EST
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.

Note You need to log in before you can comment on or make changes to this bug.